# List presence

List the presence status of all agents/admins in a team.

Endpoint: GET /v1/teams/{teamId}/presence
Version: v1
Security: ApiKeyAuth

## Path parameters:

  - `teamId` (string, required)
    The team id

## Query parameters:

  - `pageLimit` (integer)
    Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

  - `pageKey` (string)
    Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.userId` (string, required)

  - `data.requestTime` (string, required)

  - `data.lastSeen` (string)

  - `data.presenceStatus` (string)
    values: [Away, Working]

  - `data.connectionStatus` (string, required)
    values: [Offline, Online]

  - `data.activeChannels` (array)

  - `meta` (object)

  - `meta.previous` (string)
    url

  - `meta.next` (string)
    url

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 404 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

